For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Contact

Create a new contact

post
/contacts

Creates a new contact in the HealthSherpa system. The contact will be associated with the agent specified in the request. All contacts must have an external ID, first name, and last name.

Authorizations
X-API-KeystringRequired

API key for authentication

Body
agent_emailstring · emailRequired

Email of the agent who will own this contact

Responses
200

Contact created successfully

application/json
post/contacts
POST /v1/contacts HTTP/1.1
Host: api.medicare.healthsherpa.com
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1169

{
  "agent_email": "agent@example.com",
  "contact": {
    "external_id": "CRM123456",
    "first_name": "Alex",
    "last_name": "Lee",
    "address_1": "1215 19th St",
    "address_2": "Suite 100",
    "birth_date": "01/15/1955",
    "city": "Sacramento",
    "email": "alex.lee@example.com",
    "extra_help": false,
    "medicaid_eligible": false,
    "medicaid_number": "MED123456",
    "medicare_number": "1EG4TE5MK73",
    "medicare_part_a_effective_date": "01/01/2024",
    "medicare_part_b_effective_date": "01/01/2024",
    "notes": [
      "Initial contact made on 03/20/2024",
      "Interested in Medicare Advantage plans"
    ],
    "phone": "8557722663",
    "sex": "male",
    "state": "CA",
    "type": "client",
    "zip": "95811",
    "authorized_representative_name": "Jane Doe",
    "authorized_representative_relationship": "spouse",
    "authorized_representative_phone_number": "8551234567",
    "authorized_representative_email": "jane.doe@example.com",
    "authorized_representative_address": "456 Oak Ave",
    "authorized_representative_city": "Sacramento",
    "authorized_representative_state": "CA",
    "authorized_representative_zip_code": "95811",
    "mailing_address_street": "789 Mailing Ln",
    "mailing_address_unit_number": "Apt 2B",
    "mailing_address_city": "Sacramento",
    "mailing_address_state": "CA",
    "mailing_address_zip_code": "95811"
  }
}
{
  "data": {
    "contact": {
      "id": "c7716192-7625-4351-a689-3df3b65ba0e2",
      "slug": "some-slug",
      "external_id": "CRM123456",
      "first_name": "Alex",
      "last_name": "Lee",
      "address_1": "1215 19th St",
      "address_2": "Suite 100",
      "birth_date": "1955-01-15",
      "city": "Sacramento",
      "email": "alex.lee@example.com",
      "extra_help": false,
      "medicaid_eligible": false,
      "medicaid_number": "MED123456",
      "medicare_number": "1EG4TE5MK73",
      "medicare_part_a_effective_date": "2024-01-01",
      "medicare_part_b_effective_date": "2024-01-01",
      "phone": "8557722663",
      "sex": "male",
      "state": "CA",
      "type": "client",
      "zip": "95811",
      "authorized_representative_name": "Jane Doe",
      "authorized_representative_relationship": "spouse",
      "authorized_representative_phone_number": "8551234567",
      "authorized_representative_email": "jane.doe@example.com",
      "authorized_representative_address": "456 Oak Ave",
      "authorized_representative_city": "Sacramento",
      "authorized_representative_state": "CA",
      "authorized_representative_zip_code": "95811",
      "mailing_address_street": "789 Mailing Ln",
      "mailing_address_unit_number": "Apt 2B",
      "mailing_address_city": "Sacramento",
      "mailing_address_state": "CA",
      "mailing_address_zip_code": "95811"
    },
    "redirect_url": "https://medicare.healthsherpa.com/agents/alex-lee/plans/c7716192-7625-4351-a689-3df3b65ba0e2?search=%7B%3Azip%3D%3E%2298134%22%7D"
  }
}

Last updated